<?php
/**
 * The Header for our theme.
 * @package IT Company
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width">
  <link rel="profile" href="<?php echo esc_url( __( 'http://gmpg.org/xfn/11', 'it-company' ) ); ?>">
  <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
  <?php if(get_theme_mod('it_company_preloader',true)){ ?>
    <div id="overlayer"></div>
    <span class="loader">
      <span class="loader-inner"></span>
    </span>
  <?php }?>
  <header role="banner" class="header">
    <a class="screen-reader-text skip-link" href="#maincontent"><?php esc_html_e( 'Skip to content', 'it-company' ); ?><span class="screen-reader-text"><?php esc_html_e('Skip to Content','it-company'); ?></span></a>
    <div class="toggle-menu responsive-menu">
      <button role="tab" onclick="resMenu_open()"><i class="fas fa-bars"></i><?php esc_html_e('Menu','it-company'); ?><span class="screen-reader-text"><?php esc_html_e('Menu','it-company'); ?></span></button>
    </div>
    <div class="container">
      <div class="top-header">
        <div class="row m-0">
          <div class="col-lg-8 col-md-9">
            <div class="row">
              <div class="col-lg-4 col-md-4 pl-0">
                <?php if ( get_theme_mod('it_company_question','') != "" ) {?>
                  <div class="welcome">
                    <?php if ( get_theme_mod('it_company_question','') != "" ) {?>
                      <p><?php echo esc_html( get_theme_mod('it_company_question','') ); ?></p>
                    <?php }?>
                  </div>
                <?php }?>
              </div>
              <div class="col-lg-4 col-md-4 p-0">
                <div class="contact-details">
                  <div class="row">
                    <?php if ( get_theme_mod('it_company_email','') != "" ) {?>
                      <div class="col-lg-2 col-md-2 col-4 conatct-font">
                        <i class="fas fa-envelope"></i>
                      </div>
                      <div class="col-lg-10 col-md-10 col-8 p-0">
                        <?php if ( get_theme_mod('it_company_email','') != "" ) {?>
                          <p><?php echo esc_html( get_theme_mod('it_company_email','') ); ?></p>
                        <?php }?>
                      </div>
                    <?php }?>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-4 p-0">
                <div class="contact-details">
                  <div class="row ">
                    <?php if ( get_theme_mod('it_company_call_number','') != "" ) {?>
                      <div class="col-lg-2 col-md-2 col-4 conatct-font ">
                        <i class="fa fa-phone"></i>
                      </div>
                      <div class="col-lg-10 col-md-10 col-8 p-0">
                        <?php if ( get_theme_mod('it_company_call_number','') != "" ) {?>
                          <p><?php echo esc_html( get_theme_mod('it_company_call_number','' )); ?></p>
                        <?php }?>
                      </div>
                    <?php }?>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-lg-4 col-md-3 pr-0">
            <div class="social-media">
              <?php if( get_theme_mod( 'it_company_facebook' ) != '') { ?>
                <a href="<?php echo esc_url( get_theme_mod( 'it_company_facebook','' ) ); ?>"><i class="fab fa-facebook-f"></i><span class="screen-reader-text"><?php esc_html_e('Facebook','it-company'); ?></span></a>
              <?php } ?>
              <?php if( get_theme_mod( 'it_company_twitter' ) != '') { ?>
                <a href="<?php echo esc_url( get_theme_mod( 'it_company_twitter','' ) ); ?>"><i class="fab fa-twitter"></i><span class="screen-reader-text"><?php esc_html_e('Twitter','it-company'); ?></span></a>
              <?php } ?>
              <?php if( get_theme_mod( 'it_company_googleplus' ) != '') { ?>
                <a href="<?php echo esc_url( get_theme_mod( 'it_company_googleplus','' ) ); ?>"><i class="fab fa-google-plus-g"></i><span class="screen-reader-text"><?php esc_html_e('Google Plus','it-company'); ?></span></a>
              <?php } ?>
              <?php if( get_theme_mod( 'it_company_linkedin') != '') { ?>
                <a href="<?php echo esc_url( get_theme_mod( 'it_company_linkedin','' ) ); ?>"><i class="fab fa-linkedin-in"></i><span class="screen-reader-text"><?php esc_html_e('Linkedin','it-company'); ?></span></a>
              <?php } ?>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="header">
      <div class="container">
        <div class="menu-sec">
          <div class="row">
            <div class="col-lg-10 col-md-9">
              <div class="top-bar">
                <div class="row">
                  <div class="col-lg-3 col-md-6">
                    <div class="logo">
                      <?php if ( has_custom_logo() ) : ?>
                        <div class="site-logo"><?php the_custom_logo(); ?></div>
                      <?php else: ?>
                        <?php $blog_info = get_bloginfo( 'name' ); ?>
                        <?php if ( ! empty( $blog_info ) ) : ?>
                          <?php if ( is_front_page() && is_home() ) : ?>
                            <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                          <?php else : ?>
                            <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                          <?php endif; ?>
                        <?php endif; ?>
                        <?php
                        $description = get_bloginfo( 'description', 'display' );
                        if ( $description || is_customize_preview() ) :
                          ?>
                          <p class="site-description">
                            <?php echo esc_html($description); ?>
                          </p>
                        <?php endif; ?>
                      <?php endif; ?>
                    </div>
                  </div>
                  <div class="menubox col-lg-9 col-md-6 pr-0">
                    <div id="sidelong-menu" class="nav side-nav">
                      <nav id="primary-site-navigation" class="nav-menu" role="navigation" aria-label="<?php esc_attr_e( 'Top Menu', 'it-company' ); ?>">
                        <a href="javascript:void(0)" class="closebtn responsive-menu" onclick="resMenu_close()"><?php esc_html_e('Close Menu','it-company'); ?><i class="fas fa-times-circle"></i><span class="screen-reader-text"><?php esc_html_e('Close Menu','it-company'); ?></span></a>
                        <?php
                          wp_nav_menu( array(
                            'theme_location' => 'primary',
                            'container_class' => 'main-menu-navigation clearfix' ,
                            'menu_class' => 'clearfix',
                            'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav">%3$s</ul>',
                            'fallback_cb' => 'wp_page_menu',
                          ) ); 
                        ?>
                      </nav>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-lg-2 col-md-3 pl-0">
              <div class="search-box">
                <?php get_search_form();?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>